<?php
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
include_once __DIR__ . '/sett.php';
include_once __DIR__ . '/WapkassaClass.php';

try {
    // Инициализация класса с id сайта и секретным ключом
    $wapkassa = new WapkassaClass(WK_ID, WK_SECRET);

    // Проверка обработчика (PING)
    if ($wapkassa->ping($_POST)) {
        // возврат успешной проверки
        echo $wapkassa->successPing();
    } else {
        // Парсинг входящих параметров
        $params = $wapkassa->parseRequest($_POST);

        $params['id']; // id платежа в системе wapkassa
        $params['site_id']; // id площадки
        $params['time']; // время оплаты в unixtime
        $params['comm']; // комментарий платежа
        $params['amount']; // сумма платежа
        $params['add']; // массив с допольнительными параметрами
//
//
//
//
$gold2 = $params['add']['count']; //100% золота
$gold1 = $params['add']['count']*25/100; //25% золота
$gold3 = $params['add']['count']*5/100; //5% золота
//
//
$gold = $gold1+$gold2;
//
//
if ($params['add']['type'] == 'gold' && !empty($wk_cena_gold[$params['add']['count']]) && $wk_cena_gold[$params['add']['count']] <= $params['amount']) {
//
//
$text = '[color=#32cd32]Вы купили золото[/color][br]На ваш счет начислено [img='.$sites.'/css/img/gold.png]16[/img] '.$gold.' золота[br][img='.$sites.'/css/img/diamond.png]16[/img] '.$gold3.' алмазов в подарок!';
DB::$dbs->query('INSERT INTO `notification` SET `text` = ?,`time` = ?,`id_user` = ?',array($text,time(),$params['add']['user_id']));
//
//
$task2 = DB::$dbs->queryFetch("SELECT * FROM `task_user` WHERE `id_task` = ? AND `id_user` = ? LIMIT 1", array(9,$params['add']['user_id']));
if($task2['check'] == 0)DB::$dbs->query("UPDATE `task_user` SET `coll` = `coll` + ? WHERE `id` = ? LIMIT 1", array($gold,$task2['id']));
//
//
$task3 = DB::$dbs->queryFetch("SELECT * FROM `task_user` WHERE `id_task` = ? AND `id_user` = ? LIMIT 1", array(10,$params['add']['user_id']));
if($task3['check'] == 0)DB::$dbs->query("UPDATE `task_user` SET `coll` = `coll` + ? WHERE `id` = ? LIMIT 1", array($gold,$task3['id']));
//
//
DB::$dbs->query("UPDATE `users` SET `gold` = `gold` + ?, `diamond` = `diamond` + ?, `notif` = ? WHERE `id` = ? LIMIT 1", array($gold,$gold3,1,$params['add']['user_id'])); //зачисляем золото
//
//
//
//
}

        // возврат успешной обработки
        echo $wapkassa->successPayment();
    }
} catch (Exception $e) {
    // вывод ошибки
    echo 'Ошибка: ' . $e->getMessage() . PHP_EOL;
}